Bug 32797 - KDE System Guard(ksysguard) shows bogus sensor values
KDE System Guard(ksysguard) shows bogus sensor values
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-03-22 23:43 EST by Peter H.S.
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-22 23:43:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter H.S. 2001-03-22 23:43:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-0.1.28 i686; en-US; 0.7)

The following ksysguard "Sensors" regularly show bogus values:
All "Disk Throughput" sensors
"Pages in"
"Pages out"
"Context Switches"

The bogus values are very high, like "4294958888 KBytes/s". The bogus
values always seems to be in 4.29e+09 area. (quite high!)

The bogus sensor values seems associated with heavy load and heavy I/O

Reproducible: Always
Steps to Reproduce:
1. Add("Drop") all the "Disk Throughput" sensors and the "Context Switches"
sensor from the "Load" section to a new ksysguard sheet.
2. Expose the system to heavy (I/O) load. (Like "updatedb")

Optionel steps to make it easier to catch the bogus values:
(Drop the above sensors into a ksysguard sheet and save it.)
3. Select "Multimeter" as display.
4. Right click on the sensors "Multimeter" display.
5. Choose "Properties".
6. Select "Enable Alarm" from the "Alarm for maximum value" section.
7. Type 10000 in the "Upper Limit" box.
8. Stress the system, and watch the KDE System Guard.

This problem exist in both kdebase-2.1-10.i386.rpm and the older

a /usr/bin/ksysguard -v , shows this:
Qt: 2.3.0
KDE: 2.1-10
KDE System Guard: 1.1.0

The extremely large bogus values really ruins the scale on "Signal Plotter"
However, by setting a reasonable max value, this can be helped.
Comment 1 Bernhard Rosenkraenzer 2001-05-23 04:26:29 EDT
Can't reproduce this in 2.2-0.alpha2.1 anymore.

Note You need to log in before you can comment on or make changes to this bug.